Index: code/branches/mac_osx/src/external/cmcrashreporter/CMCrashReporter.m
===================================================================
--- code/branches/mac_osx/src/external/cmcrashreporter/CMCrashReporter.m	(revision 8259)
+++ code/branches/mac_osx/src/external/cmcrashreporter/CMCrashReporter.m	(revision 8260)
@@ -40,5 +40,5 @@
 		return array;
 	} else {
-		// Tiger Formet is AppName.crash.log
+		// Tiger Format is AppName.crash.log
 		NSString *path = [[NSString stringWithFormat:@"~/Library/Logs/CrashReporter/%@.crash.log",[CMCrashReporterGlobal appName]] stringByExpandingTildeInPath];
 		if ([fileManager fileExistsAtPath:path]) return [NSArray arrayWithObject:path];
Index: code/branches/mac_osx/src/external/cmcrashreporter/CMCrashReporterWindow.nib/designable.nib
===================================================================
--- code/branches/mac_osx/src/external/cmcrashreporter/CMCrashReporterWindow.nib/designable.nib	(revision 8260)
+++ code/branches/mac_osx/src/external/cmcrashreporter/CMCrashReporterWindow.nib/designable.nib	(revision 8260)
@@ -0,0 +1,903 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<archive type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="8.00">
+	<data>
+		<int key="IBDocument.SystemTarget">1060</int>
+		<string key="IBDocument.SystemVersion">10J869</string>
+		<string key="IBDocument.InterfaceBuilderVersion">1305</string>
+		<string key="IBDocument.AppKitVersion">1038.35</string>
+		<string key="IBDocument.HIToolboxVersion">461.00</string>
+		<object class="NSMutableDictionary" key="IBDocument.PluginVersions">
+			<string key="NS.key.0">com.apple.InterfaceBuilder.CocoaPlugin</string>
+			<string key="NS.object.0">1305</string>
+		</object>
+		<array key="IBDocument.IntegratedClassDependencies">
+			<string>NSScroller</string>
+			<string>NSButton</string>
+			<string>NSScrollView</string>
+			<string>NSTextFieldCell</string>
+			<string>NSImageView</string>
+			<string>NSBox</string>
+			<string>NSImageCell</string>
+			<string>NSButtonCell</string>
+			<string>NSCustomObject</string>
+			<string>NSTextView</string>
+			<string>NSView</string>
+			<string>NSWindowTemplate</string>
+			<string>NSTextField</string>
+		</array>
+		<array key="IBDocument.PluginDependencies">
+			<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
+		</array>
+		<object class="NSMutableDictionary" key="IBDocument.Metadata">
+			<string key="NS.key.0">PluginDependencyRecalculationVersion</string>
+			<integer value="1" key="NS.object.0"/>
+		</object>
+		<array class="NSMutableArray" key="IBDocument.RootObjects" id="544090607">
+			<object class="NSCustomObject" id="634750531">
+				<string key="NSClassName">CMCrashReporterWindow</string>
+			</object>
+			<object class="NSCustomObject" id="686651762">
+				<string key="NSClassName">FirstResponder</string>
+			</object>
+			<object class="NSCustomObject" id="507874050">
+				<string key="NSClassName">NSApplication</string>
+			</object>
+			<object class="NSWindowTemplate" id="112558122">
+				<int key="NSWindowStyleMask">7</int>
+				<int key="NSWindowBacking">2</int>
+				<string key="NSWindowRect">{{400, 212}, {453, 394}}</string>
+				<int key="NSWTFlags">536870912</int>
+				<string key="NSWindowTitle">Report a Crash</string>
+				<string key="NSWindowClass">NSWindow</string>
+				<nil key="NSViewClass"/>
+				<object class="NSView" key="NSWindowView" id="421821893">
+					<reference key="NSNextResponder"/>
+					<int key="NSvFlags">256</int>
+					<array class="NSMutableArray" key="NSSubviews">
+						<object class="NSTextField" id="11593077">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{95, 310}, {316, 64}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="409814192"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTextFieldCell" key="NSCell" id="519466127">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">272629760</int>
+								<string key="NSContents">Oops, it seems like this application quit unexpectedly last time. You can send us a report to help us improving this application.</string>
+								<object class="NSFont" key="NSSupport" id="687928009">
+									<string key="NSName">LucidaGrande</string>
+									<double key="NSSize">13</double>
+									<int key="NSfFlags">1044</int>
+								</object>
+								<reference key="NSControlView" ref="11593077"/>
+								<object class="NSColor" key="NSBackgroundColor" id="222656639">
+									<int key="NSColorSpace">6</int>
+									<string key="NSCatalogName">System</string>
+									<string key="NSColorName">controlColor</string>
+									<object class="NSColor" key="NSColor" id="328782211">
+										<int key="NSColorSpace">3</int>
+										<bytes key="NSWhite">MC42NjY2NjY2NjY3AA</bytes>
+									</object>
+								</object>
+								<object class="NSColor" key="NSTextColor" id="505378616">
+									<int key="NSColorSpace">6</int>
+									<string key="NSCatalogName">System</string>
+									<string key="NSColorName">controlTextColor</string>
+									<object class="NSColor" key="NSColor" id="935886955">
+										<int key="NSColorSpace">3</int>
+										<bytes key="NSWhite">MAA</bytes>
+									</object>
+								</object>
+							</object>
+						</object>
+						<object class="NSImageView" id="867011310">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">268</int>
+							<set class="NSMutableSet" key="NSDragTypes">
+								<string>Apple PDF pasteboard type</string>
+								<string>Apple PICT pasteboard type</string>
+								<string>Apple PNG pasteboard type</string>
+								<string>NSFilenamesPboardType</string>
+								<string>NeXT Encapsulated PostScript v1.2 pasteboard type</string>
+								<string>NeXT TIFF v4.0 pasteboard type</string>
+							</set>
+							<string key="NSFrame">{{17, 313}, {64, 64}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="11593077"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSImageCell" key="NSCell" id="94420877">
+								<int key="NSCellFlags">130560</int>
+								<int key="NSCellFlags2">33554432</int>
+								<object class="NSCustomResource" key="NSContents">
+									<string key="NSClassName">NSImage</string>
+									<string key="NSResourceName">NSApplicationIcon</string>
+								</object>
+								<int key="NSAlign">0</int>
+								<int key="NSScale">0</int>
+								<int key="NSStyle">0</int>
+								<bool key="NSAnimates">NO</bool>
+							</object>
+							<bool key="NSEditable">YES</bool>
+						</object>
+						<object class="NSScrollView" id="301151392">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">256</int>
+							<array class="NSMutableArray" key="NSSubviews">
+								<object class="NSClipView" id="787129029">
+									<reference key="NSNextResponder" ref="301151392"/>
+									<int key="NSvFlags">2304</int>
+									<array class="NSMutableArray" key="NSSubviews">
+										<object class="NSTextView" id="983217202">
+											<reference key="NSNextResponder" ref="787129029"/>
+											<int key="NSvFlags">2322</int>
+											<set class="NSMutableSet" key="NSDragTypes">
+												<string>Apple HTML pasteboard type</string>
+												<string>Apple PDF pasteboard type</string>
+												<string>Apple PICT pasteboard type</string>
+												<string>Apple PNG pasteboard type</string>
+												<string>Apple URL pasteboard type</string>
+												<string>CorePasteboardFlavorType 0x6D6F6F76</string>
+												<string>NSColor pasteboard type</string>
+												<string>NSFilenamesPboardType</string>
+												<string>NSStringPboardType</string>
+												<string>NeXT Encapsulated PostScript v1.2 pasteboard type</string>
+												<string>NeXT RTFD pasteboard type</string>
+												<string>NeXT Rich Text Format v1.0 pasteboard type</string>
+												<string>NeXT TIFF v4.0 pasteboard type</string>
+												<string>NeXT font pasteboard type</string>
+												<string>NeXT ruler pasteboard type</string>
+												<string>WebURLsWithTitlesPboardType</string>
+												<string>public.url</string>
+											</set>
+											<string key="NSFrameSize">{396, 14}</string>
+											<reference key="NSSuperview" ref="787129029"/>
+											<reference key="NSWindow"/>
+											<reference key="NSNextKeyView" ref="467437854"/>
+											<object class="NSTextContainer" key="NSTextContainer" id="293065596">
+												<object class="NSLayoutManager" key="NSLayoutManager">
+													<object class="NSTextStorage" key="NSTextStorage">
+														<object class="NSMutableString" key="NSString">
+															<characters key="NS.bytes"/>
+														</object>
+														<nil key="NSDelegate"/>
+													</object>
+													<array class="NSMutableArray" key="NSTextContainers">
+														<reference ref="293065596"/>
+													</array>
+													<int key="NSLMFlags">6</int>
+													<nil key="NSDelegate"/>
+												</object>
+												<reference key="NSTextView" ref="983217202"/>
+												<double key="NSWidth">396</double>
+												<int key="NSTCFlags">1</int>
+											</object>
+											<object class="NSTextViewSharedData" key="NSSharedData">
+												<int key="NSFlags">11235</int>
+												<int key="NSTextCheckingTypes">0</int>
+												<nil key="NSMarkedAttributes"/>
+												<object class="NSColor" key="NSBackgroundColor" id="523981446">
+													<int key="NSColorSpace">3</int>
+													<bytes key="NSWhite">MQA</bytes>
+												</object>
+												<dictionary key="NSSelectedAttributes">
+													<object class="NSColor" key="NSBackgroundColor">
+														<int key="NSColorSpace">6</int>
+														<string key="NSCatalogName">System</string>
+														<string key="NSColorName">selectedTextBackgroundColor</string>
+														<reference key="NSColor" ref="328782211"/>
+													</object>
+													<object class="NSColor" key="NSColor">
+														<int key="NSColorSpace">6</int>
+														<string key="NSCatalogName">System</string>
+														<string key="NSColorName">selectedTextColor</string>
+														<reference key="NSColor" ref="935886955"/>
+													</object>
+												</dictionary>
+												<reference key="NSInsertionColor" ref="935886955"/>
+												<dictionary key="NSLinkAttributes">
+													<object class="NSColor" key="NSColor">
+														<int key="NSColorSpace">1</int>
+														<bytes key="NSRGB">MCAwIDEAA</bytes>
+													</object>
+													<integer value="1" key="NSUnderline"/>
+												</dictionary>
+												<nil key="NSDefaultParagraphStyle"/>
+											</object>
+											<int key="NSTVFlags">6</int>
+											<string key="NSMaxSize">{398, 1e+07}</string>
+											<string key="NSMinize">{114, 0}</string>
+											<nil key="NSDelegate"/>
+										</object>
+									</array>
+									<string key="NSFrame">{{1, 1}, {396, 116}}</string>
+									<reference key="NSSuperview" ref="301151392"/>
+									<reference key="NSWindow"/>
+									<reference key="NSNextKeyView" ref="983217202"/>
+									<reference key="NSDocView" ref="983217202"/>
+									<reference key="NSBGColor" ref="523981446"/>
+									<object class="NSCursor" key="NSCursor">
+										<string key="NSHotSpot">{4, -5}</string>
+										<int key="NSCursorType">1</int>
+									</object>
+									<int key="NScvFlags">4</int>
+								</object>
+								<object class="NSScroller" id="467437854">
+									<reference key="NSNextResponder" ref="301151392"/>
+									<int key="NSvFlags">256</int>
+									<string key="NSFrame">{{397, 1}, {15, 116}}</string>
+									<reference key="NSSuperview" ref="301151392"/>
+									<reference key="NSWindow"/>
+									<reference key="NSNextKeyView" ref="445462230"/>
+									<reference key="NSTarget" ref="301151392"/>
+									<string key="NSAction">_doScroller:</string>
+									<double key="NSPercent">0.98305082321166992</double>
+								</object>
+								<object class="NSScroller" id="19233346">
+									<reference key="NSNextResponder" ref="301151392"/>
+									<int key="NSvFlags">-2147483392</int>
+									<string key="NSFrame">{{-100, -100}, {87, 18}}</string>
+									<reference key="NSSuperview" ref="301151392"/>
+									<reference key="NSWindow"/>
+									<reference key="NSNextKeyView" ref="787129029"/>
+									<int key="NSsFlags">1</int>
+									<reference key="NSTarget" ref="301151392"/>
+									<string key="NSAction">_doScroller:</string>
+									<double key="NSCurValue">1</double>
+									<double key="NSPercent">0.94565218687057495</double>
+								</object>
+							</array>
+							<string key="NSFrame">{{20, 162}, {413, 118}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="19233346"/>
+							<int key="NSsFlags">18</int>
+							<reference key="NSVScroller" ref="467437854"/>
+							<reference key="NSHScroller" ref="19233346"/>
+							<reference key="NSContentView" ref="787129029"/>
+						</object>
+						<object class="NSButton" id="445462230">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">256</int>
+							<string key="NSFrame">{{18, 138}, {417, 18}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="34729833"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="821857862">
+								<int key="NSCellFlags">-2080244224</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Include anonymous crash report with technical information</string>
+								<reference key="NSSupport" ref="687928009"/>
+								<reference key="NSControlView" ref="445462230"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<object class="NSButtonImageSource" key="NSAlternateImage" id="220037912">
+									<string key="NSImageName">NSSwitch</string>
+								</object>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSTextField" id="409814192">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">256</int>
+							<string key="NSFrame">{{20, 288}, {413, 14}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="301151392"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTextFieldCell" key="NSCell" id="812530724">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">272629760</int>
+								<string key="NSContents">Please specify what you did when the app crashed. (optional)</string>
+								<object class="NSFont" key="NSSupport">
+									<string key="NSName">LucidaGrande</string>
+									<double key="NSSize">11</double>
+									<int key="NSfFlags">3100</int>
+								</object>
+								<reference key="NSControlView" ref="409814192"/>
+								<reference key="NSBackgroundColor" ref="222656639"/>
+								<reference key="NSTextColor" ref="505378616"/>
+							</object>
+						</object>
+						<object class="NSTextField" id="32464330">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{119, 57}, {314, 22}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="822024906"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTextFieldCell" key="NSCell" id="3894257">
+								<int key="NSCellFlags">-1804468671</int>
+								<int key="NSCellFlags2">272630784</int>
+								<string key="NSContents"/>
+								<reference key="NSSupport" ref="687928009"/>
+								<reference key="NSControlView" ref="32464330"/>
+								<bool key="NSDrawsBackground">YES</bool>
+								<object class="NSColor" key="NSBackgroundColor" id="814792843">
+									<int key="NSColorSpace">6</int>
+									<string key="NSCatalogName">System</string>
+									<string key="NSColorName">textBackgroundColor</string>
+									<reference key="NSColor" ref="523981446"/>
+								</object>
+								<object class="NSColor" key="NSTextColor">
+									<int key="NSColorSpace">6</int>
+									<string key="NSCatalogName">System</string>
+									<string key="NSColorName">textColor</string>
+									<reference key="NSColor" ref="935886955"/>
+								</object>
+							</object>
+						</object>
+						<object class="NSButton" id="5590046">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{343, 9}, {96, 32}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="76896251">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">134217728</int>
+								<string key="NSContents">Report</string>
+								<reference key="NSSupport" ref="687928009"/>
+								<reference key="NSControlView" ref="5590046"/>
+								<int key="NSButtonFlags">-2038284033</int>
+								<int key="NSButtonFlags2">129</int>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="775514680">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{247, 9}, {96, 32}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="5590046"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="674673856">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">134217728</int>
+								<string key="NSContents">Ignore</string>
+								<reference key="NSSupport" ref="687928009"/>
+								<reference key="NSControlView" ref="775514680"/>
+								<int key="NSButtonFlags">-2038284033</int>
+								<int key="NSButtonFlags2">129</int>
+								<string key="NSAlternateContents"/>
+								<string type="base64-UTF8" key="NSKeyEquivalent">Gw</string>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="822024906">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">256</int>
+							<string key="NSFrame">{{18, 18}, {185, 18}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="775514680"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="527874703">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Don't show this anymore</string>
+								<reference key="NSSupport" ref="687928009"/>
+								<reference key="NSControlView" ref="822024906"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<reference key="NSAlternateImage" ref="220037912"/>
+								<string key="NSAlternateContents"/>
+								<string key="NSKeyEquivalent"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSBox" id="34729833">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{20, 127}, {413, 5}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="216162799"/>
+							<string key="NSOffsets">{0, 0}</string>
+							<object class="NSTextFieldCell" key="NSTitleCell">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">0</int>
+								<string key="NSContents">Box</string>
+								<reference key="NSSupport" ref="687928009"/>
+								<reference key="NSBackgroundColor" ref="814792843"/>
+								<object class="NSColor" key="NSTextColor">
+									<int key="NSColorSpace">3</int>
+									<bytes key="NSWhite">MCAwLjgwMDAwMDAxMTkAA</bytes>
+								</object>
+							</object>
+							<int key="NSBorderType">3</int>
+							<int key="NSBoxType">2</int>
+							<int key="NSTitlePosition">0</int>
+							<bool key="NSTransparent">NO</bool>
+						</object>
+						<object class="NSTextField" id="979080861">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{17, 59}, {102, 17}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="32464330"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTextFieldCell" key="NSCell" id="544333105">
+								<int key="NSCellFlags">67239488</int>
+								<int key="NSCellFlags2">272630784</int>
+								<string key="NSContents">Email address:</string>
+								<reference key="NSSupport" ref="687928009"/>
+								<reference key="NSControlView" ref="979080861"/>
+								<reference key="NSBackgroundColor" ref="222656639"/>
+								<reference key="NSTextColor" ref="505378616"/>
+							</object>
+						</object>
+						<object class="NSTextField" id="216162799">
+							<reference key="NSNextResponder" ref="421821893"/>
+							<int key="NSvFlags">268</int>
+							<string key="NSFrame">{{14, 87}, {422, 34}}</string>
+							<reference key="NSSuperview" ref="421821893"/>
+							<reference key="NSWindow"/>
+							<reference key="NSNextKeyView" ref="979080861"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSTextFieldCell" key="NSCell" id="693906202">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">272629760</int>
+								<string key="NSContents">Leave an email address if you would like us to get back to you.</string>
+								<reference key="NSSupport" ref="687928009"/>
+								<reference key="NSControlView" ref="216162799"/>
+								<reference key="NSBackgroundColor" ref="222656639"/>
+								<reference key="NSTextColor" ref="505378616"/>
+							</object>
+						</object>
+					</array>
+					<string key="NSFrame">{{7, 11}, {453, 394}}</string>
+					<reference key="NSSuperview"/>
+					<reference key="NSWindow"/>
+					<reference key="NSNextKeyView" ref="867011310"/>
+				</object>
+				<string key="NSScreenRect">{{0, 0}, {1280, 778}}</string>
+				<string key="NSMaxSize">{1e+13, 1e+13}</string>
+			</object>
+		</array>
+		<object class="IBObjectContainer" key="IBDocument.Objects">
+			<array class="NSMutableArray" key="connectionRecords">
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">description</string>
+						<reference key="source" ref="634750531"/>
+						<reference key="destination" ref="11593077"/>
+					</object>
+					<int key="connectionID">40</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">includeRapport</string>
+						<reference key="source" ref="634750531"/>
+						<reference key="destination" ref="445462230"/>
+					</object>
+					<int key="connectionID">43</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBActionConnection" key="connection">
+						<string key="label">dontReport:</string>
+						<reference key="source" ref="634750531"/>
+						<reference key="destination" ref="775514680"/>
+					</object>
+					<int key="connectionID">60</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBActionConnection" key="connection">
+						<string key="label">submitData:</string>
+						<reference key="source" ref="634750531"/>
+						<reference key="destination" ref="5590046"/>
+					</object>
+					<int key="connectionID">61</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">dontShowThis</string>
+						<reference key="source" ref="634750531"/>
+						<reference key="destination" ref="822024906"/>
+					</object>
+					<int key="connectionID">106</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">commentField</string>
+						<reference key="source" ref="634750531"/>
+						<reference key="destination" ref="983217202"/>
+					</object>
+					<int key="connectionID">153</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">window</string>
+						<reference key="source" ref="634750531"/>
+						<reference key="destination" ref="112558122"/>
+					</object>
+					<int key="connectionID">168</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">delegate</string>
+						<reference key="source" ref="112558122"/>
+						<reference key="destination" ref="634750531"/>
+					</object>
+					<int key="connectionID">182</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">mailaddress</string>
+						<reference key="source" ref="634750531"/>
+						<reference key="destination" ref="32464330"/>
+					</object>
+					<int key="connectionID">196</int>
+				</object>
+			</array>
+			<object class="IBMutableOrderedSet" key="objectRecords">
+				<array key="orderedObjects">
+					<object class="IBObjectRecord">
+						<int key="objectID">0</int>
+						<array key="object" id="0"/>
+						<reference key="children" ref="544090607"/>
+						<nil key="parent"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">-2</int>
+						<reference key="object" ref="634750531"/>
+						<reference key="parent" ref="0"/>
+						<string key="objectName">File's Owner</string>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">-1</int>
+						<reference key="object" ref="686651762"/>
+						<reference key="parent" ref="0"/>
+						<string key="objectName">First Responder</string>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">-3</int>
+						<reference key="object" ref="507874050"/>
+						<reference key="parent" ref="0"/>
+						<string key="objectName">Application</string>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">1</int>
+						<reference key="object" ref="112558122"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="421821893"/>
+						</array>
+						<reference key="parent" ref="0"/>
+						<string key="objectName">Window (Window)</string>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">2</int>
+						<reference key="object" ref="421821893"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="11593077"/>
+							<reference ref="867011310"/>
+							<reference ref="445462230"/>
+							<reference ref="409814192"/>
+							<reference ref="5590046"/>
+							<reference ref="775514680"/>
+							<reference ref="822024906"/>
+							<reference ref="34729833"/>
+							<reference ref="979080861"/>
+							<reference ref="32464330"/>
+							<reference ref="216162799"/>
+							<reference ref="301151392"/>
+						</array>
+						<reference key="parent" ref="112558122"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">5</int>
+						<reference key="object" ref="11593077"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="519466127"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">7</int>
+						<reference key="object" ref="867011310"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="94420877"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">9</int>
+						<reference key="object" ref="301151392"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="983217202"/>
+							<reference ref="467437854"/>
+							<reference ref="19233346"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">14</int>
+						<reference key="object" ref="983217202"/>
+						<reference key="parent" ref="301151392"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">10</int>
+						<reference key="object" ref="445462230"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="821857862"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">15</int>
+						<reference key="object" ref="409814192"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="812530724"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">19</int>
+						<reference key="object" ref="32464330"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="3894257"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">23</int>
+						<reference key="object" ref="5590046"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="76896251"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">25</int>
+						<reference key="object" ref="775514680"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="674673856"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">44</int>
+						<reference key="object" ref="822024906"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="527874703"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">123</int>
+						<reference key="object" ref="34729833"/>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">126</int>
+						<reference key="object" ref="979080861"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="544333105"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">134</int>
+						<reference key="object" ref="216162799"/>
+						<array class="NSMutableArray" key="children">
+							<reference ref="693906202"/>
+						</array>
+						<reference key="parent" ref="421821893"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">198</int>
+						<reference key="object" ref="519466127"/>
+						<reference key="parent" ref="11593077"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">199</int>
+						<reference key="object" ref="94420877"/>
+						<reference key="parent" ref="867011310"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">200</int>
+						<reference key="object" ref="821857862"/>
+						<reference key="parent" ref="445462230"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">201</int>
+						<reference key="object" ref="812530724"/>
+						<reference key="parent" ref="409814192"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">202</int>
+						<reference key="object" ref="3894257"/>
+						<reference key="parent" ref="32464330"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">203</int>
+						<reference key="object" ref="76896251"/>
+						<reference key="parent" ref="5590046"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">204</int>
+						<reference key="object" ref="674673856"/>
+						<reference key="parent" ref="775514680"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">205</int>
+						<reference key="object" ref="527874703"/>
+						<reference key="parent" ref="822024906"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">206</int>
+						<reference key="object" ref="544333105"/>
+						<reference key="parent" ref="979080861"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">207</int>
+						<reference key="object" ref="693906202"/>
+						<reference key="parent" ref="216162799"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">208</int>
+						<reference key="object" ref="467437854"/>
+						<reference key="parent" ref="301151392"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">209</int>
+						<reference key="object" ref="19233346"/>
+						<reference key="parent" ref="301151392"/>
+					</object>
+				</array>
+			</object>
+			<dictionary class="NSMutableDictionary" key="flattenedProperties">
+				<string key="-3.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="-3.ImportedFromIB2"/>
+				<string key="1.IBEditorWindowLastContentRect">{{342, 351}, {453, 394}}</string>
+				<string key="1.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="1.IBWindowTemplateEditedContentRect">{{342, 351}, {453, 394}}</string>
+				<boolean value="YES" key="1.ImportedFromIB2"/>
+				<boolean value="YES" key="1.NSWindowTemplate.visibleAtLaunch"/>
+				<string key="10.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="10.ImportedFromIB2"/>
+				<string key="123.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="123.ImportedFromIB2"/>
+				<string key="126.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="126.ImportedFromIB2"/>
+				<string key="134.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<object class="NSAffineTransform" key="134.IBViewBoundsToFrameTransform">
+					<bytes key="NSTransformStruct">P4AAAL+AAABAAAAAwuoAAA</bytes>
+				</object>
+				<boolean value="YES" key="134.ImportedFromIB2"/>
+				<string key="14.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="14.ImportedFromIB2"/>
+				<string key="15.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="15.ImportedFromIB2"/>
+				<string key="19.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="19.ImportedFromIB2"/>
+				<string key="198.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="199.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="2.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="2.ImportedFromIB2"/>
+				<string key="200.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="201.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="202.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="203.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="204.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="205.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="206.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="207.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<string key="208.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="208.IBShouldRemoveOnLegacySave"/>
+				<string key="209.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="209.IBShouldRemoveOnLegacySave"/>
+				<string key="23.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="23.ImportedFromIB2"/>
+				<string key="25.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="25.ImportedFromIB2"/>
+				<string key="44.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="44.ImportedFromIB2"/>
+				<string key="5.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="5.ImportedFromIB2"/>
+				<string key="7.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="7.ImportedFromIB2"/>
+				<string key="9.IBPluginDependency">com.apple.InterfaceBuilder.CocoaPlugin</string>
+				<boolean value="YES" key="9.ImportedFromIB2"/>
+			</dictionary>
+			<dictionary class="NSMutableDictionary" key="unlocalizedProperties"/>
+			<nil key="activeLocalization"/>
+			<dictionary class="NSMutableDictionary" key="localizations"/>
+			<nil key="sourceID"/>
+			<int key="maxID">209</int>
+		</object>
+		<object class="IBClassDescriber" key="IBDocument.Classes">
+			<array class="NSMutableArray" key="referencedPartialClassDescriptions">
+				<object class="IBPartialClassDescription">
+					<string key="className">CMCrashReporterWindow</string>
+					<string key="superclassName">NSWindowController</string>
+					<dictionary class="NSMutableDictionary" key="actions">
+						<string key="dontReport:">id</string>
+						<string key="submitData:">id</string>
+					</dictionary>
+					<dictionary class="NSMutableDictionary" key="actionInfosByName">
+						<object class="IBActionInfo" key="dontReport:">
+							<string key="name">dontReport:</string>
+							<string key="candidateClassName">id</string>
+						</object>
+						<object class="IBActionInfo" key="submitData:">
+							<string key="name">submitData:</string>
+							<string key="candidateClassName">id</string>
+						</object>
+					</dictionary>
+					<dictionary class="NSMutableDictionary" key="outlets">
+						<string key="application">id</string>
+						<string key="commentField">id</string>
+						<string key="description">id</string>
+						<string key="dontShowThis">id</string>
+						<string key="includeRapport">id</string>
+						<string key="mailaddress">id</string>
+						<string key="version">id</string>
+					</dictionary>
+					<dictionary class="NSMutableDictionary" key="toOneOutletInfosByName">
+						<object class="IBToOneOutletInfo" key="application">
+							<string key="name">application</string>
+							<string key="candidateClassName">id</string>
+						</object>
+						<object class="IBToOneOutletInfo" key="commentField">
+							<string key="name">commentField</string>
+							<string key="candidateClassName">id</string>
+						</object>
+						<object class="IBToOneOutletInfo" key="description">
+							<string key="name">description</string>
+							<string key="candidateClassName">id</string>
+						</object>
+						<object class="IBToOneOutletInfo" key="dontShowThis">
+							<string key="name">dontShowThis</string>
+							<string key="candidateClassName">id</string>
+						</object>
+						<object class="IBToOneOutletInfo" key="includeRapport">
+							<string key="name">includeRapport</string>
+							<string key="candidateClassName">id</string>
+						</object>
+						<object class="IBToOneOutletInfo" key="mailaddress">
+							<string key="name">mailaddress</string>
+							<string key="candidateClassName">id</string>
+						</object>
+						<object class="IBToOneOutletInfo" key="version">
+							<string key="name">version</string>
+							<string key="candidateClassName">id</string>
+						</object>
+					</dictionary>
+					<object class="IBClassDescriptionSource" key="sourceIdentifier">
+						<string key="majorKey">IBProjectSource</string>
+						<string key="minorKey">./Classes/CMCrashReporterWindow.h</string>
+					</object>
+				</object>
+			</array>
+		</object>
+		<int key="IBDocument.localizationMode">0</int>
+		<string key="IBDocument.TargetRuntimeIdentifier">IBCocoaFramework</string>
+		<object class="NSMutableDictionary" key="IBDocument.PluginDeclaredDependencyDefaults">
+			<string key="NS.key.0">com.apple.InterfaceBuilder.CocoaPlugin.macosx</string>
+			<integer value="1060" key="NS.object.0"/>
+		</object>
+		<bool key="IBDocument.PluginDeclaredDependenciesTrackSystemTargetVersion">YES</bool>
+		<int key="IBDocument.defaultPropertyAccessControl">3</int>
+		<object class="NSMutableDictionary" key="IBDocument.LastKnownImageSizes">
+			<string key="NS.key.0">NSApplicationIcon</string>
+			<string key="NS.object.0">{128, 128}</string>
+		</object>
+	</data>
+</archive>
Index: code/branches/mac_osx/src/external/cmcrashreporter/CMakeLists.txt
===================================================================
--- code/branches/mac_osx/src/external/cmcrashreporter/CMakeLists.txt	(revision 8259)
+++ code/branches/mac_osx/src/external/cmcrashreporter/CMakeLists.txt	(revision 8260)
@@ -53,5 +53,5 @@
   SET(DEVBUNDLE_CURRENT_RESOURCES "${DEVBUNDLE_CURRENT_DIR}/Resources")
   SET(DEVBUNDLE_DEFAULT_LANGFILE "English.lproj")
-  SET(DEVBUNDLE_NIB_FILE "MainMenu.nib")
+  SET(DEVBUNDLE_NIB_FILE "CMCrashReporterWindow.nib")
 
   # Create bundle folder structure
@@ -62,5 +62,7 @@
   
   # Populate app with additional NIB file.
-  CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/CMCrashReporterWindow.xib" "${DEVBUNDLE_CURRENT_RESOURCES}/${DEVBUNDLE_DEFAULT_LANGFILE}/CMCrashReporterWindow.xib" COPYONLY)
+  CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/${DEVBUNDLE_NIB_FILE}/keyedobjects.nib" "${DEVBUNDLE_CURRENT_RESOURCES}/${DEVBUNDLE_DEFAULT_LANGFILE}/${DEVBUNDLE_NIB_FILE}/keyedobjects.nib" COPYONLY)
+  CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/${DEVBUNDLE_NIB_FILE}/designable.nib" "${DEVBUNDLE_CURRENT_RESOURCES}/${DEVBUNDLE_DEFAULT_LANGFILE}/${DEVBUNDLE_NIB_FILE}/designable.nib" COPYONLY)
+
 
 ENDFOREACH(_subdir)
